import type { IComponentOptions } from "./Component";
/**
 * Component definition.
 */
export interface IComponent {
    constructor: new (options: IComponentOptions) => unknown;
    selector: string;
}
/**
 * Register a new component.
 */
export declare function registerComponent(constructor: IComponent["constructor"], selector: string): void;
/**
 * TypeDoc application class.
 */
export declare class Application {
    /**
     * Create a new Application instance.
     */
    constructor();
    /**
     * Create all components beneath the given jQuery element.
     */
    createComponents(context: HTMLElement): void;
}
