import { Component, IComponentOptions } from "../Component";
declare abstract class FilterItem<T> {
    protected key: string;
    protected value: T;
    protected defaultValue: T;
    constructor(key: string, value: T);
    protected initialize(): void;
    protected abstract handleValueChange(oldValue: T, newValue: T): void;
    protected abstract fromLocalStorage(value: string): T;
    protected abstract toLocalStorage(value: T): string;
    protected setValue(value: T): void;
}
declare class FilterItemCheckbox extends FilterItem<boolean> {
    private checkbox;
    protected initialize(): void;
    protected handleValueChange(_oldValue: boolean, _newValue: boolean): void;
    protected fromLocalStorage(value: string): boolean;
    protected toLocalStorage(value: boolean): string;
}
declare class FilterItemSelect extends FilterItem<string> {
    private select;
    protected initialize(): void;
    protected handleValueChange(oldValue: string, newValue: string): void;
    protected fromLocalStorage(value: string): string;
    protected toLocalStorage(value: string): string;
}
export declare class Filter extends Component {
    readonly optionVisibility: FilterItemSelect;
    readonly optionInherited: FilterItemCheckbox;
    readonly optionExternals: FilterItemCheckbox;
    constructor(options: IComponentOptions);
    static isSupported(): boolean;
}
export {};
