import { Component, IComponentOptions } from "../Component";
/**
 * Manages the sticky state of the navigation and moves the highlight
 * to the current navigation item.
 */
export declare class MenuHighlight extends Component {
    /**
     * List of all discovered anchors.
     */
    private anchors;
    /**
     * Index of the currently highlighted anchor.
     */
    private index;
    /**
     * Create a new MenuHighlight instance.
     *
     * @param options  Backbone view constructor options.
     */
    constructor(options: IComponentOptions);
    /**
     * Find all anchors on the current page.
     */
    private createAnchors;
    /**
     * Triggered after the viewport was resized.
     */
    private onResize;
    /**
     * Triggered after the viewport was scrolled.
     *
     * @param event  The custom event with the current vertical scroll position.
     */
    private onScroll;
}
