import { Component, IComponentOptions } from "../Component";
/**
 * Controls the tab like behaviour of methods and functions with multiple signatures.
 */
export declare class Signature extends Component {
    /**
     * List of found signature groups.
     */
    private groups;
    /**
     * The container holding all the descriptions.
     */
    private container?;
    /**
     * The index of the currently displayed signature.
     */
    private index;
    /**
     * Create a new Signature instance.
     *
     * @param options  Backbone view constructor options.
     */
    constructor(options: IComponentOptions);
    /**
     * Set the index of the active signature.
     *
     * @param index  The index of the signature to activate.
     */
    private setIndex;
    /**
     * Find all signature/description groups.
     */
    private createGroups;
    /**
     * Triggered when the user clicks onto a signature header.
     *
     * @param e  The related event object.
     */
    private onClick;
}
