/**
 * Simple point interface.
 */
export interface Point {
    x: number;
    y: number;
}
/**
 * Event name of the pointer down event.
 */
export declare let pointerDown: string;
/**
 * Event name of the pointer move event.
 */
export declare let pointerMove: string;
/**
 * Event name of the pointer up event.
 */
export declare let pointerUp: string;
/**
 * Position the pointer was pressed at.
 */
export declare const pointerDownPosition: Point;
/**
 * Should the next click on the document be supressed?
 */
export declare let preventNextClick: boolean;
/**
 * Is the pointer down?
 */
export declare let isPointerDown: boolean;
/**
 * Is the pointer a touch point?
 */
export declare let isPointerTouch: boolean;
/**
 * Did the pointer move since the last down event?
 */
export declare let hasPointerMoved: boolean;
/**
 * Is the user agent a mobile agent?
 */
export declare const isMobile: boolean;
