"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.throttle = void 0;
const throttle = (fn, wait = 100) => {
    let time = Date.now();
    return (...args) => {
        if (time + wait - Date.now() < 0) {
            fn(...args);
            time = Date.now();
        }
    };
};
exports.throttle = throttle;
