"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultLayout = void 0;
const utils_1 = require("../../../../utils");
const defaultLayout = (context, props) => {
    var _a, _b;
    return (utils_1.createElement(utils_1.createElement.Fragment, null,
        utils_1.createElement("html", { class: "default no-js" },
            utils_1.createElement("head", null,
                utils_1.createElement("meta", { charSet: "utf-8" }),
                utils_1.createElement("meta", { "http-equiv": "X-UA-Compatible", content: "IE=edge" }),
                utils_1.createElement("title", null, props.model.name === props.project.name ? (props.project.name) : (utils_1.createElement(utils_1.createElement.Fragment, null,
                    props.model.name,
                    " | ",
                    props.project.name))),
                utils_1.createElement("meta", { name: "description", content: "Documentation for " + props.project.name }),
                utils_1.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1" }),
                utils_1.createElement("link", { rel: "stylesheet", href: context.relativeURL("assets/css/main.css") }),
                utils_1.createElement("script", { async: true, src: context.relativeURL("assets/js/search.js"), id: "search-script" })),
            utils_1.createElement("body", null,
                context.header(props),
                utils_1.createElement("div", { class: "container container-main" },
                    utils_1.createElement("div", { class: "row" },
                        utils_1.createElement("div", { class: "col-8 col-content" }, props.template(props)),
                        utils_1.createElement("div", { class: "col-4 col-menu menu-sticky-wrap menu-highlight" },
                            utils_1.createElement("nav", { class: "tsd-navigation primary" },
                                utils_1.createElement("ul", null, (_b = (_a = props.navigation) === null || _a === void 0 ? void 0 : _a.children) === null || _b === void 0 ? void 0 : _b.map((item) => context.navigation(item)))),
                            utils_1.createElement("nav", { class: "tsd-navigation secondary menu-sticky" }, (() => {
                                var _a, _b;
                                const children = (_b = (_a = props.toc) === null || _a === void 0 ? void 0 : _a.children) !== null && _b !== void 0 ? _b : [];
                                let indexOfCurrent = children.findIndex((c) => c.isInPath);
                                // If none are isInPath, make sure all render within "before" block
                                if (indexOfCurrent === -1)
                                    indexOfCurrent = children.length;
                                const childrenBefore = children.slice(0, indexOfCurrent);
                                const childInPath = children[indexOfCurrent];
                                const childrenAfter = children.slice(indexOfCurrent + 1);
                                return (utils_1.createElement(utils_1.createElement.Fragment, null,
                                    utils_1.createElement("ul", { class: "before-current" }, childrenBefore.map((item) => context.tocRoot(item))),
                                    childInPath && (utils_1.createElement(utils_1.createElement.Fragment, null,
                                        utils_1.createElement("ul", { class: "current" }, context.tocRoot(childInPath)),
                                        utils_1.createElement("ul", { class: "after-current" }, childrenAfter.map((item) => context.tocRoot(item)))))));
                            })())))),
                context.footer(props),
                utils_1.createElement("div", { class: "overlay" }),
                utils_1.createElement("script", { src: context.relativeURL("assets/js/main.js") }),
                context.analytics(props)))));
};
exports.defaultLayout = defaultLayout;
