"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.navigation = void 0;
const lib_1 = require("../../lib");
const utils_1 = require("../../../../utils");
function navigation(context, props) {
    if (!props.isVisible)
        return;
    if (props.isLabel) {
        return (utils_1.createElement("li", { class: "label " + props.cssClasses },
            utils_1.createElement("span", null, lib_1.wbr(props.title))));
    }
    return (utils_1.createElement("li", { class: lib_1.classNames({ current: props.isInPath }) + " " + props.cssClasses },
        utils_1.createElement("a", { href: context.relativeURL(props.url) }, lib_1.wbr(props.title)),
        !!props.isInPath && !!props.children && utils_1.createElement("ul", null, props.children.map((item) => context.navigation(item)))));
}
exports.navigation = navigation;
