"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultLayout = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const utils_1 = require("../../../../utils");
const inlineCss = fs_1.readFileSync(path_1.resolve(__dirname, "../../bin/minimal/assets/css/main.css"), "utf8");
const inlineJs = fs_1.readFileSync(path_1.resolve(__dirname, "../../bin/minimal/assets/js/main.js"), "utf8");
const defaultLayout = (context, props) => {
    var _a, _b;
    return (utils_1.createElement(utils_1.createElement.Fragment, null,
        utils_1.createElement("html", { class: "minimal no-js" },
            utils_1.createElement("head", null,
                utils_1.createElement("meta", { charSet: "utf-8" }),
                utils_1.createElement("meta", { "http-equiv": "X-UA-Compatible", content: "IE=edge" }),
                utils_1.createElement("title", null,
                    props.model.name,
                    " | ",
                    props.project.name),
                utils_1.createElement("meta", { name: "description", content: "Documentation for " + props.project.name }),
                utils_1.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1" }),
                utils_1.createElement(utils_1.Raw, { html: `<style type="text/css">${inlineCss}</style>` })),
            utils_1.createElement("body", null,
                context.header(props),
                utils_1.createElement("nav", { class: "tsd-navigation secondary" },
                    utils_1.createElement("ul", null, (_b = (_a = props.toc) === null || _a === void 0 ? void 0 : _a.children) === null || _b === void 0 ? void 0 : _b.map((item) => context.toc(item)))),
                utils_1.createElement("div", { class: "container container-main" },
                    utils_1.createElement("div", { class: "content-wrap" },
                        props.model.isProject() && !!props.model.readme && (utils_1.createElement("div", { class: "tsd-panel tsd-typography" },
                            utils_1.createElement("div", null,
                                utils_1.createElement(utils_1.Raw, { html: context.markdown(props.model.readme) })))),
                        utils_1.createElement("div", null, props.template(props)),
                        context.footer(props))),
                utils_1.createElement(utils_1.Raw, { html: `<script type="text/javascript">${inlineJs}</script>` }),
                context.analytics(props)))));
};
exports.defaultLayout = defaultLayout;
